Bug 135225 - /usr/lib/autofs/autofs-ldap-auto-master core dumps with cyrus-sasl-2.1.15-10 installed
/usr/lib/autofs/autofs-ldap-auto-master core dumps with cyrus-sasl-2.1.15-10 ...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Feist
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-10-10 18:33 EDT by Tom Lieuallen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-11 13:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Lieuallen 2004-10-10 18:33:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
We are obtaining our automount maps (master and indirect maps as well)
from LDAP.  Prior to the cyrus-sasl-2.1.15-10 update, things were
working fine.  After that update, automount seg faults and tries to
dump core:

service autofs start
Starting automount:/etc/init.d/autofs: line 506:  7095 Segmentation
fault      (core dumped) /usr/lib/autofs/autofs-ldap-auto-master
No Mountpoints Defined                                     [  OK  ]

When /usr/lib/libsasl.so.7.1.11 is copied in from a machine that does
not have cyrus-sasl-2.1.15-10 installed, autofs again works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. configure linux to be an ldap client
2. add automount maps to ldap server
3. add cyrus-sasl-2.1.15-10

Actual Results:  cyrus-sasl-2.1.15-10 makes autofs-ldap-auto-master
core dump.  
autofs does not run.

Expected Results:  autofs-ldap-master should not core dump; it should

Additional info:

I rate this bug as severe because autofs no longer functions with
ldap.  Our machines became unusable.  We are now working with local
automount maps instead of using ldap.
Comment 1 Tom Lieuallen 2004-10-11 12:27:59 EDT
My apologies, but it appears the version of cyrus-sasl that had broken
autofs was cyrus-sasl-2.1.15-9, not -10.  -10 fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.